IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fc0f:1000::/20- First address
fc0f:1000::- Last address
fc0f:1fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fc0f:1000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
1.f.0.c.f.ip6.arpa
Split into smaller subnets
fc0f:1000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc0f:1000::/28 | fc0f:100f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc0f:1010::/28 | fc0f:101f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc0f:1020::/28 | fc0f:102f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc0f:1030::/28 | fc0f:103f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc0f:1040::/28 | fc0f:104f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc0f:1050::/28 | fc0f:105f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc0f:1060::/28 | fc0f:106f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc0f:1070::/28 | fc0f:107f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc0f:1080::/28 | fc0f:108f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc0f:1090::/28 | fc0f:109f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc0f:10a0::/28 | fc0f:10af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc0f:10b0::/28 | fc0f:10bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc0f:10c0::/28 | fc0f:10cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc0f:10d0::/28 | fc0f:10df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc0f:10e0::/28 | fc0f:10ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc0f:10f0::/28 | fc0f:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc0f:1100::/28 | fc0f:110f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc0f:1110::/28 | fc0f:111f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc0f:1120::/28 | fc0f:112f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc0f:1130::/28 | fc0f:113f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc0f:1140::/28 | fc0f:114f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc0f:1150::/28 | fc0f:115f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc0f:1160::/28 | fc0f:116f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc0f:1170::/28 | fc0f:117f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc0f:1180::/28 | fc0f:118f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc0f:1190::/28 | fc0f:119f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc0f:11a0::/28 | fc0f:11af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc0f:11b0::/28 | fc0f:11bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc0f:11c0::/28 | fc0f:11cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc0f:11d0::/28 | fc0f:11df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc0f:11e0::/28 | fc0f:11ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc0f:11f0::/28 | fc0f:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc0f:1200::/28 | fc0f:120f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc0f:1210::/28 | fc0f:121f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc0f:1220::/28 | fc0f:122f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc0f:1230::/28 | fc0f:123f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc0f:1240::/28 | fc0f:124f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc0f:1250::/28 | fc0f:125f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc0f:1260::/28 | fc0f:126f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc0f:1270::/28 | fc0f:127f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc0f:1280::/28 | fc0f:128f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc0f:1290::/28 | fc0f:129f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc0f:12a0::/28 | fc0f:12af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc0f:12b0::/28 | fc0f:12bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc0f:12c0::/28 | fc0f:12cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc0f:12d0::/28 | fc0f:12df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc0f:12e0::/28 | fc0f:12ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc0f:12f0::/28 | fc0f:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc0f:1300::/28 | fc0f:130f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc0f:1310::/28 | fc0f:131f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc0f:1320::/28 | fc0f:132f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc0f:1330::/28 | fc0f:133f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc0f:1340::/28 | fc0f:134f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc0f:1350::/28 | fc0f:135f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc0f:1360::/28 | fc0f:136f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc0f:1370::/28 | fc0f:137f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc0f:1380::/28 | fc0f:138f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc0f:1390::/28 | fc0f:139f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc0f:13a0::/28 | fc0f:13af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc0f:13b0::/28 | fc0f:13bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc0f:13c0::/28 | fc0f:13cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc0f:13d0::/28 | fc0f:13df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc0f:13e0::/28 | fc0f:13ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc0f:13f0::/28 | fc0f:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc0f:1400::/28 | fc0f:140f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc0f:1410::/28 | fc0f:141f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc0f:1420::/28 | fc0f:142f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc0f:1430::/28 | fc0f:143f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc0f:1440::/28 | fc0f:144f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc0f:1450::/28 | fc0f:145f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc0f:1460::/28 | fc0f:146f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc0f:1470::/28 | fc0f:147f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc0f:1480::/28 | fc0f:148f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc0f:1490::/28 | fc0f:149f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc0f:14a0::/28 | fc0f:14af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc0f:14b0::/28 | fc0f:14bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc0f:14c0::/28 | fc0f:14cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc0f:14d0::/28 | fc0f:14df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc0f:14e0::/28 | fc0f:14ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc0f:14f0::/28 | fc0f:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc0f:1500::/28 | fc0f:150f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc0f:1510::/28 | fc0f:151f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc0f:1520::/28 | fc0f:152f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc0f:1530::/28 | fc0f:153f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc0f:1540::/28 | fc0f:154f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc0f:1550::/28 | fc0f:155f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc0f:1560::/28 | fc0f:156f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc0f:1570::/28 | fc0f:157f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc0f:1580::/28 | fc0f:158f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc0f:1590::/28 | fc0f:159f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc0f:15a0::/28 | fc0f:15af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc0f:15b0::/28 | fc0f:15bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc0f:15c0::/28 | fc0f:15cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc0f:15d0::/28 | fc0f:15df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc0f:15e0::/28 | fc0f:15ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc0f:15f0::/28 | fc0f:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc0f:1600::/28 | fc0f:160f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc0f:1610::/28 | fc0f:161f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc0f:1620::/28 | fc0f:162f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc0f:1630::/28 | fc0f:163f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc0f:1640::/28 | fc0f:164f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc0f:1650::/28 | fc0f:165f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc0f:1660::/28 | fc0f:166f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc0f:1670::/28 | fc0f:167f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc0f:1680::/28 | fc0f:168f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc0f:1690::/28 | fc0f:169f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc0f:16a0::/28 | fc0f:16af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc0f:16b0::/28 | fc0f:16bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc0f:16c0::/28 | fc0f:16cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc0f:16d0::/28 | fc0f:16df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc0f:16e0::/28 | fc0f:16ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc0f:16f0::/28 | fc0f:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc0f:1700::/28 | fc0f:170f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc0f:1710::/28 | fc0f:171f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc0f:1720::/28 | fc0f:172f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc0f:1730::/28 | fc0f:173f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc0f:1740::/28 | fc0f:174f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc0f:1750::/28 | fc0f:175f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc0f:1760::/28 | fc0f:176f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc0f:1770::/28 | fc0f:177f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc0f:1780::/28 | fc0f:178f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc0f:1790::/28 | fc0f:179f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc0f:17a0::/28 | fc0f:17af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc0f:17b0::/28 | fc0f:17bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc0f:17c0::/28 | fc0f:17cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc0f:17d0::/28 | fc0f:17df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc0f:17e0::/28 | fc0f:17ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc0f:17f0::/28 | fc0f:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc0f:1800::/28 | fc0f:180f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc0f:1810::/28 | fc0f:181f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc0f:1820::/28 | fc0f:182f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc0f:1830::/28 | fc0f:183f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc0f:1840::/28 | fc0f:184f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc0f:1850::/28 | fc0f:185f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc0f:1860::/28 | fc0f:186f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc0f:1870::/28 | fc0f:187f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc0f:1880::/28 | fc0f:188f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc0f:1890::/28 | fc0f:189f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc0f:18a0::/28 | fc0f:18af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc0f:18b0::/28 | fc0f:18bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc0f:18c0::/28 | fc0f:18cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc0f:18d0::/28 | fc0f:18df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc0f:18e0::/28 | fc0f:18ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc0f:18f0::/28 | fc0f:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc0f:1900::/28 | fc0f:190f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc0f:1910::/28 | fc0f:191f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc0f:1920::/28 | fc0f:192f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc0f:1930::/28 | fc0f:193f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc0f:1940::/28 | fc0f:194f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc0f:1950::/28 | fc0f:195f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc0f:1960::/28 | fc0f:196f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc0f:1970::/28 | fc0f:197f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc0f:1980::/28 | fc0f:198f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc0f:1990::/28 | fc0f:199f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc0f:19a0::/28 | fc0f:19af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc0f:19b0::/28 | fc0f:19bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc0f:19c0::/28 | fc0f:19cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc0f:19d0::/28 | fc0f:19df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc0f:19e0::/28 | fc0f:19ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc0f:19f0::/28 | fc0f:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc0f:1a00::/28 | fc0f:1a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc0f:1a10::/28 | fc0f:1a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc0f:1a20::/28 | fc0f:1a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc0f:1a30::/28 | fc0f:1a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc0f:1a40::/28 | fc0f:1a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc0f:1a50::/28 | fc0f:1a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc0f:1a60::/28 | fc0f:1a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc0f:1a70::/28 | fc0f:1a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc0f:1a80::/28 | fc0f:1a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc0f:1a90::/28 | fc0f:1a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc0f:1aa0::/28 | fc0f:1aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc0f:1ab0::/28 | fc0f:1abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc0f:1ac0::/28 | fc0f:1acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc0f:1ad0::/28 | fc0f:1adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc0f:1ae0::/28 | fc0f:1aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc0f:1af0::/28 | fc0f:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc0f:1b00::/28 | fc0f:1b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc0f:1b10::/28 | fc0f:1b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc0f:1b20::/28 | fc0f:1b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc0f:1b30::/28 | fc0f:1b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc0f:1b40::/28 | fc0f:1b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc0f:1b50::/28 | fc0f:1b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc0f:1b60::/28 | fc0f:1b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc0f:1b70::/28 | fc0f:1b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc0f:1b80::/28 | fc0f:1b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc0f:1b90::/28 | fc0f:1b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc0f:1ba0::/28 | fc0f:1baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc0f:1bb0::/28 | fc0f:1bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc0f:1bc0::/28 | fc0f:1bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc0f:1bd0::/28 | fc0f:1bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc0f:1be0::/28 | fc0f:1bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc0f:1bf0::/28 | fc0f:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc0f:1c00::/28 | fc0f:1c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc0f:1c10::/28 | fc0f:1c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc0f:1c20::/28 | fc0f:1c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc0f:1c30::/28 | fc0f:1c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc0f:1c40::/28 | fc0f:1c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc0f:1c50::/28 | fc0f:1c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc0f:1c60::/28 | fc0f:1c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc0f:1c70::/28 | fc0f:1c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc0f:1c80::/28 | fc0f:1c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc0f:1c90::/28 | fc0f:1c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc0f:1ca0::/28 | fc0f:1caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc0f:1cb0::/28 | fc0f:1cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc0f:1cc0::/28 | fc0f:1ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc0f:1cd0::/28 | fc0f:1cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc0f:1ce0::/28 | fc0f:1cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc0f:1cf0::/28 | fc0f:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc0f:1d00::/28 | fc0f:1d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc0f:1d10::/28 | fc0f:1d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc0f:1d20::/28 | fc0f:1d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc0f:1d30::/28 | fc0f:1d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc0f:1d40::/28 | fc0f:1d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc0f:1d50::/28 | fc0f:1d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc0f:1d60::/28 | fc0f:1d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc0f:1d70::/28 | fc0f:1d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc0f:1d80::/28 | fc0f:1d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc0f:1d90::/28 | fc0f:1d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc0f:1da0::/28 | fc0f:1daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc0f:1db0::/28 | fc0f:1dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc0f:1dc0::/28 | fc0f:1dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc0f:1dd0::/28 | fc0f:1ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc0f:1de0::/28 | fc0f:1def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc0f:1df0::/28 | fc0f:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc0f:1e00::/28 | fc0f:1e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc0f:1e10::/28 | fc0f:1e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc0f:1e20::/28 | fc0f:1e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc0f:1e30::/28 | fc0f:1e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc0f:1e40::/28 | fc0f:1e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc0f:1e50::/28 | fc0f:1e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc0f:1e60::/28 | fc0f:1e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc0f:1e70::/28 | fc0f:1e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc0f:1e80::/28 | fc0f:1e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc0f:1e90::/28 | fc0f:1e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc0f:1ea0::/28 | fc0f:1eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc0f:1eb0::/28 | fc0f:1ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc0f:1ec0::/28 | fc0f:1ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc0f:1ed0::/28 | fc0f:1edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc0f:1ee0::/28 | fc0f:1eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc0f:1ef0::/28 | fc0f:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc0f:1f00::/28 | fc0f:1f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc0f:1f10::/28 | fc0f:1f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc0f:1f20::/28 | fc0f:1f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc0f:1f30::/28 | fc0f:1f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc0f:1f40::/28 | fc0f:1f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc0f:1f50::/28 | fc0f:1f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc0f:1f60::/28 | fc0f:1f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc0f:1f70::/28 | fc0f:1f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc0f:1f80::/28 | fc0f:1f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc0f:1f90::/28 | fc0f:1f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc0f:1fa0::/28 | fc0f:1faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc0f:1fb0::/28 | fc0f:1fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc0f:1fc0::/28 | fc0f:1fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc0f:1fd0::/28 | fc0f:1fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc0f:1fe0::/28 | fc0f:1fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc0f:1ff0::/28 | fc0f:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |